Loading...
Searching...
No Matches
binder_first< BinaryFunction, A1 >

## Detailed Description

template<class BinaryFunction, class A1>
struct rheolef::details::binder_first< BinaryFunction, A1 >

Definition at line 1798 of file expression.h.

## Public Member Functions

| binder_first (const BinaryFunction &f, const A1 &x1)
template<class A2 >
generic_binary_traits< BinaryFunction >::template result_hint< A1, A2 >::type | operator() (const A2 &x2) const

## Protected Attributes

BinaryFunction | _f
A1 | _x1

## Constructor & Destructor Documentation

## binder_first()

template<class BinaryFunction , class A1 >

binder_first | ( | const BinaryFunction & | f,
|  | const A1 & | x1
| ) |  |

Definition at line 1799 of file expression.h.

## Member Function Documentation

## operator()()

template<class BinaryFunction , class A1 >
template<class A2 >

generic_binary_traits< BinaryFunction >::template result_hint< A1, A2 >::type operator() | ( | const A2 & | x2 | ) | const

Definition at line 1802 of file expression.h.

## Member Data Documentation

## _f

template<class BinaryFunction , class A1 >

BinaryFunction _f

protected

Definition at line 1804 of file expression.h.

## _x1

template<class BinaryFunction , class A1 >

A1 _x1

protected

Definition at line 1805 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/main/lib/expression.h